ALTER TABLE QUESTION
ADD STRING_VALUE VARCHAR2(500 CHAR);

ALTER TABLE QUESTION
ADD NUMBER_VALUE NUMBER;

ALTER TABLE QUESTION
ADD DATE_VALUE DATE;

ALTER TABLE SECTION_QUESTION
ADD VISIBLE VARCHAR2(1 CHAR);

ALTER TABLE SECTION_QUESTION_DEFAULT
ADD VISIBLE VARCHAR2(1 CHAR);

UPDATE SECTION_QUESTION
SET VISIBLE = 'Y'
WHERE VISIBLE IS NULL;

UPDATE SECTION_QUESTION_DEFAULT
SET VISIBLE = 'Y'
WHERE VISIBLE IS NULL;

CREATE OR REPLACE VIEW V_SECTION_QUESTION AS (
	SELECT SQ.ID, SQ.ID_SECTION, SQ.ID_QUESTION, SQ.ID_QUESTIONNAIRE, SQ.SORT, SQ.INPUT_REQUIRED, SQ.VISIBLE, QS.SORT AS SECTION_SORT, Q.NAME AS QUESTIONNAIRE_NAME, SC.NAME AS SECTION_NAME, 
  QU.NAME AS QUESTION_NAME, QU.QUESTION AS QUESTION_QUESTION, QU.TYPE AS QUESTION_TYPE, QU.SOURCE_TABLE_NAME AS QUESTION_SOURCE_TABLE_NAME, QU.CONVERSION_TYPE AS QUESTION_CONVERSION_TYPE,
  QU.STRING_VALUE AS QUESTION_STRING_VALUE, QU.NUMBER_VALUE AS QUESTION_NUMBER_VALUE, QU.DATE_VALUE AS QUESTION_DATE_VALUE
	FROM SECTION_QUESTION SQ
  LEFT OUTER JOIN QUESTIONNAIRE Q ON Q.ID = SQ.ID_QUESTIONNAIRE
  LEFT OUTER JOIN SECTION SC ON SC.ID = SQ.ID_SECTION
  LEFT OUTER JOIN QUESTION QU ON QU.ID = SQ.ID_QUESTION
  LEFT OUTER JOIN QUESTIONNAIRE_SECTION QS ON QS.ID_QUESTIONNAIRE = Q.ID AND QS.ID_SECTION = SC.ID
);

ALTER TABLE ENQUIRY
ADD ENQUIRY_TERM VARCHAR2(3 CHAR);

ALTER TABLE ENQUIRY
ADD ENQUIRY_SUBJECT VARCHAR2(3 CHAR);


INSERT INTO QUESTIONNAIRE_TYPE(ID, OPIS, INTERNI_OPIS, ACT) 
VALUES (4, 'Contact us', 'Contact us', 'Y');

INSERT INTO NNEMAIL_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('CQS', 'Contact us questionnaire - staff', 'Contact us questionnaire - staff', 'Y');

INSERT INTO NNEMAIL_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('CQC', 'Contact us questionnaire - customer', 'Contact us questionnaire - customer', 'Y');

INSERT INTO ALARM_CHECK (SIFRA, OPIS, INTERNI_OPIS, PERIOD_TOLERANCE, ACTIVE, PRIORITY) VALUES 
('CONTACT_US', 'Contact us', 'Contact us', 1, 'Y', 3);

CREATE OR REPLACE VIEW V_KUPCI AS (
	SELECT K.ID, K.ID_MEMBER, K.IME, K.PRIIMEK, K.MESTO, K.NASLOV, K.POSTA, K.TELEFON_1, K.TELEFON_2, K.EMAIL, K.YACHT_CLUB_ID, K.TELEX, K.VRSTA, K.NDRZAVA, K.SALDAKONTI_SIT, K.SALDAKONTI_DEM, K.SALDAKONTI_KOM, K.BELEZKA,
	NNTIT.INTERNI_OPIS AS NNTITLE_DESC, NNDRZ.INTERNI_OPIS AS NNDRZAVA_DESC, NNDOK.INTERNI_OPIS AS VRSTA_DOKUMENTA_DESC, NNVRS.INTERNI_OPIS AS VRSTA_DESC,
	NNDRZDR.INTERNI_OPIS AS DRZAVA_ROJSTVA_DESC, NNDRZCI.INTERNI_OPIS AS CITIZENSHIP_DESC, NNMAR.INTERNI_OPIS AS MARITAL_STATUS_DESC,
    -- Owner types descriptions
    (SELECT LISTAGG(NV.OPIS,', ') WITHIN GROUP(ORDER BY NV.OPIS ASC) TYPES FROM KUPCI_VRSTA KV, NNVRSKUP NV WHERE NV.SIFRA = KV.VRSTA AND KV.ID_KUPCA = K.ID) AS TYPES_DESCRIPTIONS,
    -- Owner contract data
    (SELECT OBJEKT FROM M_POGODBE M WHERE M.ID_LASTNIKA = K.ID AND M.ID_PLOVILA IS NULL AND ROWNUM = 1 AND M.DATUM_ZACETKA = (SELECT MAX(M2.DATUM_ZACETKA) FROM M_POGODBE M2 WHERE M2.ID_LASTNIKA = K.ID AND M2.ID_PLOVILA IS NULL) ) AS POGODBA_OBJEKT,
    (SELECT N_PRIVEZA FROM M_POGODBE M WHERE M.ID_LASTNIKA = K.ID AND M.ID_PLOVILA IS NULL AND ROWNUM = 1 AND M.DATUM_ZACETKA = (SELECT MAX(M2.DATUM_ZACETKA) FROM M_POGODBE M2 WHERE M2.ID_LASTNIKA = K.ID AND M2.ID_PLOVILA IS NULL) ) AS POGODBA_PRIVEZ
   
	FROM KUPCI K
	LEFT OUTER JOIN NNTITLE NNTIT ON K.NTITLE = NNTIT.SIFRA
	LEFT OUTER JOIN NNDRZAVE NNDRZ ON K.NDRZAVA = NNDRZ.SIFRA
	LEFT OUTER JOIN NNDOKUME NNDOK ON K.VRSTA_DOKUMENTA = NNDOK.SIFRA
	LEFT OUTER JOIN NNVRSKUP NNVRS ON K.VRSTA = NNVRS.SIFRA
	LEFT OUTER JOIN NNDRZAVE NNDRZDR ON K.DRZAVA_ROJSTVA = NNDRZDR.SIFRA
	LEFT OUTER JOIN NNDRZAVE NNDRZCI ON K.CITIZENSHIP = NNDRZCI.SIFRA
	LEFT OUTER JOIN NNMARSTAT NNMAR ON K.MARITAL_STATUS = NNMAR.SIFRA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1159, SYSDATE, '5.5', 1079, 'Vprasalnik contact us')
;