CREATE TABLE WEB_PAGE_TEMPLATE (
	ID_WEB_PAGE_TEMPLATE NUMBER NOT NULL,
	NAME VARCHAR2(100 CHAR) NOT NULL,
	CONTENT CLOB,
	ACTIVE VARCHAR2(1 CHAR),
	CONSTRAINT WEB_PAGE_TEMPLATE_PK PRIMARY KEY (ID_WEB_PAGE_TEMPLATE)
);

CREATE SEQUENCE WEB_PAGE_TEMPLATE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE OR REPLACE VIEW V_WEB_PAGE_TEMPLATE AS (
  SELECT WPT.ID_WEB_PAGE_TEMPLATE, WPT.NAME, WPT.CONTENT, WPT.ACTIVE
	FROM WEB_PAGE_TEMPLATE WPT
);

ALTER TABLE RACUNI_KUPCEV
ADD NNLOCATION_ID NUMBER;

ALTER TABLE QUESTION
ADD TAG_ID VARCHAR2(50 CHAR);

CREATE OR REPLACE VIEW V_QUESTIONNAIRE_ANSWER AS (
	SELECT QA.ID, QA.ID_QUESTIONNAIRE_ANSWER_MASTER, QA.ID_QUESTION, QA.STRING_ANSWER, QA.DATE_ANSWER, QA.NUMBER_ANSWER, QA.BLOB_ANSWER,
  Q.NAME AS QUESTION_NAME, Q.QUESTION AS QUESTION_QUESTION, Q.SOURCE_TABLE_NAME AS QUESTION_SOURCE_TABLE_NAME, Q.TYPE AS QUESTION_TYPE, Q.MAP_TABLE_NAME, Q.MAP_COLUMN_NAME, Q.TAG_ID AS QUESTION_TAG_ID,
  QAM.ID_MARINA_EVENT AS ID_MARINA_EVENT, QAM.ID_QUESTIONNAIRE, QAM.STATUS AS STATUS, QAM.ID_LASTNIKA, QAM.ID_PLOVILA, 
  SQ.SORT, SQ.INPUT_REQUIRED
	FROM QUESTIONNAIRE_ANSWER QA
  LEFT OUTER JOIN QUESTION Q ON Q.ID = QA.ID_QUESTION
  LEFT OUTER JOIN QUESTIONNAIRE_ANSWER_MASTER QAM ON QAM.ID = QA.ID_QUESTIONNAIRE_ANSWER_MASTER
  LEFT OUTER JOIN SECTION_QUESTION SQ ON SQ.ID_QUESTIONNAIRE = QAM.ID_QUESTIONNAIRE AND SQ.ID_QUESTION = QA.ID_QUESTION
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1187, SYSDATE, '5.5', 1107, 'Web page template')
;