CREATE TABLE MAINTENANCE_TASK_PERIOD (
ID_MAINTENANCE_TASK_PERIOD NUMBER NOT NULL,
DATE_FROM DATE,
DATE_TO DATE,
FREQUENCY NUMBER,
CONSTRAINT MAINTENANCE_TASK_PERIOD_PK PRIMARY KEY (ID_MAINTENANCE_TASK_PERIOD)
);

CREATE SEQUENCE MAINTENANCE_TASK_PERIOD_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE MAINTENANCE_TASK_PERIOD_DETAIL (
ID_MAIN_TASK_PERIOD_DETAIL NUMBER NOT NULL,
ID_MAINTENANCE_TASK_PERIOD NUMBER,
ID_MAINTENANCE_TASK NUMBER,
CONSTRAINT MAIN_TASK_PERIOD_DETAIL_PK PRIMARY KEY (ID_MAIN_TASK_PERIOD_DETAIL),
CONSTRAINT MTPD_ID_MAIN_TASK_PERIOD_FK FOREIGN KEY (ID_MAINTENANCE_TASK_PERIOD) REFERENCES MAINTENANCE_TASK_PERIOD(ID_MAINTENANCE_TASK_PERIOD),
CONSTRAINT MTPD_ID_MAIN_TASK_FK FOREIGN KEY (ID_MAINTENANCE_TASK) REFERENCES MAINTENANCE_TASK(ID_MAINTENANCE_TASK)
);

CREATE SEQUENCE MAIN_TASK_PERIOD_DETAIL_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE INDEX IX_MTPD_ID_MAIN_TASK_PERIOD ON MAINTENANCE_TASK_PERIOD_DETAIL (ID_MAINTENANCE_TASK_PERIOD);
CREATE INDEX IX_MTPD_ID_MAIN_TASK ON MAINTENANCE_TASK_PERIOD_DETAIL (ID_MAINTENANCE_TASK);

ALTER TABLE ASSET
ADD PLAN_FREQUENCY NUMBER;

ALTER TABLE CHECKLIST
ADD PLAN_FREQUENCY NUMBER;


CREATE TABLE WORKER_WORK_TYPE (
ID_WORKER_WORK_TYPE NUMBER NOT NULL,
WORKER_CODE VARCHAR2(10 CHAR),
WORK_TYPE_CODE VARCHAR2(6 CHAR),
CONSTRAINT WORKER_WORK_TYPE_PK PRIMARY KEY (ID_WORKER_WORK_TYPE),
CONSTRAINT WORKER_WORK_TYPE_WORKER_FK FOREIGN KEY (WORKER_CODE) REFERENCES NNDELAVC(SIFRA),
CONSTRAINT WORKER_WORK_TYPE_WORK_TYPE_FK FOREIGN KEY (WORK_TYPE_CODE) REFERENCES TIPSERVIS(SIFRA)
);

CREATE SEQUENCE WORKER_WORK_TYPE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1490, SYSDATE, '5.5', 1410, 'Maintenance period')
;