CREATE OR REPLACE VIEW V_RESERVATIONS_MANAGEMENT AS 
(
SELECT 'ALARM_ARRIVAL' AS CATEGORY, CONCAT('ALARM_ARRIVAL', DE.ID_REZERVAC_DETAIL) AS V_RESERVATIONS_MANAGEMENT_ID, RE.ID AS ID_REZERVAC, RE.ID_LASTNIKA, RE.ID_PLOVILA, RE.VRSTA, RE.STATUS_REZERVAC, RE.DATUM_REZERVACIJE AS DATE_FROM, RE.DATUM_DO AS DATE_TO, NN.N_PRIVEZA, KU.SALDAKONTI_SIT,
(CASE WHEN RE.ID_LASTNIKA IS NULL OR RE.ID_LASTNIKA = 0 THEN RE.NAZIV ELSE KU.PRIIMEK END) AS NAZIV,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.PLOVILO ELSE PL.IME END) AS PLOVILO,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.DOLZINA ELSE PL.DOLZINA END) AS DOLZINA,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.SIRINA ELSE PL.SIRINA END) AS SIRINA
FROM REZERVAC RE
JOIN REZERVAC_DETAIL DE ON RE.ID=DE.ID_REZERVAC
LEFT OUTER JOIN KUPCI KU ON KU.ID = RE.ID_LASTNIKA
LEFT OUTER JOIN PLOVILA PL ON PL.ID = RE.ID_PLOVILA
LEFT OUTER JOIN NNPRIVEZ NN ON NN.ID_PRIVEZ = DE.ID_PRIVEZ
WHERE TRUNC(RE.DATUM_REZERVACIJE) < TRUNC(SYSDATE) AND RE.STATUS_REZERVAC > 2 AND NOT EXISTS 
(SELECT * FROM REZERVAC RE2 WHERE RE2.DATUM_REZERVACIJE < RE.DATUM_REZERVACIJE AND RE2.ID_PLOVILA = RE.ID_PLOVILA AND RE2.ID_PLOVILA > 0 AND RE2.STATUS_REZERVAC IN (1,2) )

UNION ALL

SELECT 'ALARM_DEPARTURE' AS CATEGORY, CONCAT('ALARM_DEPARTURE', DE.ID_REZERVAC_DETAIL) AS V_RESERVATIONS_MANAGEMENT_ID, RE.ID AS ID_REZERVAC, RE.ID_LASTNIKA, RE.ID_PLOVILA, RE.VRSTA, RE.STATUS_REZERVAC, RE.DATUM_REZERVACIJE AS DATE_FROM, RE.DATUM_DO AS DATE_TO, NN.N_PRIVEZA, KU.SALDAKONTI_SIT,
(CASE WHEN RE.ID_LASTNIKA IS NULL OR RE.ID_LASTNIKA = 0 THEN RE.NAZIV ELSE KU.PRIIMEK END) AS NAZIV,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.PLOVILO ELSE PL.IME END) AS PLOVILO,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.DOLZINA ELSE PL.DOLZINA END) AS DOLZINA,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.SIRINA ELSE PL.SIRINA END) AS SIRINA
FROM REZERVAC RE
JOIN REZERVAC_DETAIL DE ON RE.ID=DE.ID_REZERVAC
LEFT OUTER JOIN KUPCI KU ON KU.ID = RE.ID_LASTNIKA
LEFT OUTER JOIN PLOVILA PL ON PL.ID = RE.ID_PLOVILA
LEFT OUTER JOIN NNPRIVEZ NN ON NN.ID_PRIVEZ = DE.ID_PRIVEZ
WHERE TRUNC(RE.DATUM_DO) <= TRUNC(SYSDATE) AND RE.STATUS_REZERVAC IN (1,2) AND NOT EXISTS 
(SELECT * FROM REZERVAC RE2 WHERE RE2.DATUM_REZERVACIJE = RE.DATUM_DO AND RE2.ID_PLOVILA = RE.ID_PLOVILA AND RE2.ID_PLOVILA > 0 AND RE2.STATUS_REZERVAC > 0)

UNION ALL

SELECT 'ALARM_MOVE' AS CATEGORY, CONCAT('ALARM_MOVE', DE.ID_REZERVAC_DETAIL) AS V_RESERVATIONS_MANAGEMENT_ID, RE.ID AS ID_REZERVAC, RE.ID_LASTNIKA, RE.ID_PLOVILA, RE.VRSTA, DE.STATUS_REZERVAC, DE.DATUM_OD AS DATE_FROM, DE.DATUM_DO AS DATE_TO, NN.N_PRIVEZA, KU.SALDAKONTI_SIT,
(CASE WHEN RE.ID_LASTNIKA IS NULL OR RE.ID_LASTNIKA = 0 THEN RE.NAZIV ELSE KU.PRIIMEK END) AS NAZIV,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.PLOVILO ELSE PL.IME END) AS PLOVILO,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.DOLZINA ELSE PL.DOLZINA END) AS DOLZINA,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.SIRINA ELSE PL.SIRINA END) AS SIRINA
FROM REZERVAC RE
JOIN REZERVAC_DETAIL DE ON RE.ID=DE.ID_REZERVAC
LEFT OUTER JOIN KUPCI KU ON KU.ID = RE.ID_LASTNIKA
LEFT OUTER JOIN PLOVILA PL ON PL.ID = RE.ID_PLOVILA
LEFT OUTER JOIN NNPRIVEZ NN ON NN.ID_PRIVEZ = DE.ID_PRIVEZ
WHERE RE.STATUS_REZERVAC = 1 AND DE.STATUS_REZERVAC = 1 AND (DE.COMPLETE IS NULL OR DE.COMPLETE = 'N') AND DE.DATUM_OD < TRUNC(SYSDATE) AND EXISTS
(SELECT * FROM REZERVAC_DETAIL DE2 WHERE DE2.ID_REZERVAC = RE.ID AND DE2.DATUM_DO = DE.DATUM_OD AND DE2.STATUS_REZERVAC = 1 AND DE2.COMPLETE='Y')

UNION ALL

SELECT 'ALARM_EXIT' AS CATEGORY, CONCAT('ALARM_EXIT', DE.ID_REZERVAC_DETAIL) AS V_RESERVATIONS_MANAGEMENT_ID, RE.ID AS ID_REZERVAC, RE.ID_LASTNIKA, RE.ID_PLOVILA, RE.VRSTA, DE.STATUS_REZERVAC, DE.DATUM_OD AS DATE_FROM, DE.DATUM_DO AS DATE_TO, NN.N_PRIVEZA, KU.SALDAKONTI_SIT,
(CASE WHEN RE.ID_LASTNIKA IS NULL OR RE.ID_LASTNIKA = 0 THEN RE.NAZIV ELSE KU.PRIIMEK END) AS NAZIV,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.PLOVILO ELSE PL.IME END) AS PLOVILO,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.DOLZINA ELSE PL.DOLZINA END) AS DOLZINA,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.SIRINA ELSE PL.SIRINA END) AS SIRINA
FROM REZERVAC RE
JOIN REZERVAC_DETAIL DE ON RE.ID=DE.ID_REZERVAC
LEFT OUTER JOIN KUPCI KU ON KU.ID = RE.ID_LASTNIKA
LEFT OUTER JOIN PLOVILA PL ON PL.ID = RE.ID_PLOVILA
LEFT OUTER JOIN NNPRIVEZ NN ON NN.ID_PRIVEZ = DE.ID_PRIVEZ
WHERE RE.STATUS_REZERVAC = 1 AND DE.STATUS_REZERVAC = 2 AND (DE.COMPLETE IS NULL OR DE.COMPLETE = 'N') AND DE.DATUM_OD < TRUNC(SYSDATE) AND EXISTS
(SELECT * FROM REZERVAC_DETAIL DE2 WHERE DE2.ID_REZERVAC = RE.ID AND DE2.DATUM_DO = DE.DATUM_OD AND DE2.STATUS_REZERVAC = 1 AND DE2.COMPLETE='Y')

UNION ALL

SELECT 'ALARM_RETURN' AS CATEGORY, CONCAT('ALARM_RETURN', DE.ID_REZERVAC_DETAIL) AS V_RESERVATIONS_MANAGEMENT_ID, RE.ID AS ID_REZERVAC, RE.ID_LASTNIKA, RE.ID_PLOVILA, RE.VRSTA, DE.STATUS_REZERVAC, DE.DATUM_OD AS DATE_FROM, DE.DATUM_DO AS DATE_TO, NN.N_PRIVEZA, KU.SALDAKONTI_SIT,
(CASE WHEN RE.ID_LASTNIKA IS NULL OR RE.ID_LASTNIKA = 0 THEN RE.NAZIV ELSE KU.PRIIMEK END) AS NAZIV,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.PLOVILO ELSE PL.IME END) AS PLOVILO,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.DOLZINA ELSE PL.DOLZINA END) AS DOLZINA,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.SIRINA ELSE PL.SIRINA END) AS SIRINA
FROM REZERVAC RE
JOIN REZERVAC_DETAIL DE ON RE.ID=DE.ID_REZERVAC
LEFT OUTER JOIN KUPCI KU ON KU.ID = RE.ID_LASTNIKA
LEFT OUTER JOIN PLOVILA PL ON PL.ID = RE.ID_PLOVILA
LEFT OUTER JOIN NNPRIVEZ NN ON NN.ID_PRIVEZ = DE.ID_PRIVEZ
WHERE RE.STATUS_REZERVAC = 2 AND DE.STATUS_REZERVAC = 1 AND (DE.COMPLETE IS NULL OR DE.COMPLETE = 'N') AND DE.DATUM_OD < TRUNC(SYSDATE) AND EXISTS
(SELECT * FROM REZERVAC_DETAIL DE2 WHERE DE2.ID_REZERVAC = RE.ID AND DE2.DATUM_DO = DE.DATUM_OD AND DE2.STATUS_REZERVAC = 2 AND DE2.COMPLETE='Y')

UNION ALL

SELECT 'PLAN_ARRIVAL' AS CATEGORY, CONCAT('PLAN_ARRIVAL', DE.ID_REZERVAC_DETAIL) AS V_RESERVATIONS_MANAGEMENT_ID, RE.ID AS ID_REZERVAC, RE.ID_LASTNIKA, RE.ID_PLOVILA, RE.VRSTA, RE.STATUS_REZERVAC, RE.DATUM_REZERVACIJE AS DATE_FROM, RE.DATUM_DO AS DATE_TO, NN.N_PRIVEZA, KU.SALDAKONTI_SIT,
(CASE WHEN RE.ID_LASTNIKA IS NULL OR RE.ID_LASTNIKA = 0 THEN RE.NAZIV ELSE KU.PRIIMEK END) AS NAZIV,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.PLOVILO ELSE PL.IME END) AS PLOVILO,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.DOLZINA ELSE PL.DOLZINA END) AS DOLZINA,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.SIRINA ELSE PL.SIRINA END) AS SIRINA
FROM REZERVAC RE
JOIN REZERVAC_DETAIL DE ON RE.ID=DE.ID_REZERVAC
LEFT OUTER JOIN KUPCI KU ON KU.ID = RE.ID_LASTNIKA
LEFT OUTER JOIN PLOVILA PL ON PL.ID = RE.ID_PLOVILA
LEFT OUTER JOIN NNPRIVEZ NN ON NN.ID_PRIVEZ = DE.ID_PRIVEZ
WHERE TRUNC(RE.DATUM_REZERVACIJE) >= TRUNC(SYSDATE) AND RE.STATUS_REZERVAC > 2 AND NOT EXISTS 
(SELECT * FROM REZERVAC RE2 WHERE RE2.DATUM_REZERVACIJE < RE.DATUM_REZERVACIJE AND RE2.ID_PLOVILA = RE.ID_PLOVILA AND RE2.ID_PLOVILA > 0 AND RE2.STATUS_REZERVAC IN (1,2) )

UNION ALL

SELECT 'PLAN_DEPARTURE' AS CATEGORY, CONCAT('PLAN_DEPARTURE', DE.ID_REZERVAC_DETAIL) AS V_RESERVATIONS_MANAGEMENT_ID, RE.ID AS ID_REZERVAC, RE.ID_LASTNIKA, RE.ID_PLOVILA, RE.VRSTA, RE.STATUS_REZERVAC, RE.DATUM_REZERVACIJE AS DATE_FROM, RE.DATUM_DO AS DATE_TO, NN.N_PRIVEZA, KU.SALDAKONTI_SIT,
(CASE WHEN RE.ID_LASTNIKA IS NULL OR RE.ID_LASTNIKA = 0 THEN RE.NAZIV ELSE KU.PRIIMEK END) AS NAZIV,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.PLOVILO ELSE PL.IME END) AS PLOVILO,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.DOLZINA ELSE PL.DOLZINA END) AS DOLZINA,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.SIRINA ELSE PL.SIRINA END) AS SIRINA
FROM REZERVAC RE
JOIN REZERVAC_DETAIL DE ON RE.ID=DE.ID_REZERVAC
LEFT OUTER JOIN KUPCI KU ON KU.ID = RE.ID_LASTNIKA
LEFT OUTER JOIN PLOVILA PL ON PL.ID = RE.ID_PLOVILA
LEFT OUTER JOIN NNPRIVEZ NN ON NN.ID_PRIVEZ = DE.ID_PRIVEZ
WHERE TRUNC(RE.DATUM_DO) > TRUNC(SYSDATE) AND RE.STATUS_REZERVAC IN (1,2) AND NOT EXISTS 
(SELECT * FROM REZERVAC RE2 WHERE RE2.DATUM_REZERVACIJE = RE.DATUM_DO AND RE2.ID_PLOVILA = RE.ID_PLOVILA AND RE2.ID_PLOVILA > 0 AND RE2.STATUS_REZERVAC > 0)

UNION ALL

SELECT 'PLAN_MOVE' AS CATEGORY, CONCAT('PLAN_MOVE', DE.ID_REZERVAC_DETAIL) AS V_RESERVATIONS_MANAGEMENT_ID, RE.ID AS ID_REZERVAC, RE.ID_LASTNIKA, RE.ID_PLOVILA, RE.VRSTA, DE.STATUS_REZERVAC, DE.DATUM_OD AS DATE_FROM, DE.DATUM_DO AS DATE_TO, NN.N_PRIVEZA, KU.SALDAKONTI_SIT,
(CASE WHEN RE.ID_LASTNIKA IS NULL OR RE.ID_LASTNIKA = 0 THEN RE.NAZIV ELSE KU.PRIIMEK END) AS NAZIV,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.PLOVILO ELSE PL.IME END) AS PLOVILO,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.DOLZINA ELSE PL.DOLZINA END) AS DOLZINA,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.SIRINA ELSE PL.SIRINA END) AS SIRINA
FROM REZERVAC RE
JOIN REZERVAC_DETAIL DE ON RE.ID=DE.ID_REZERVAC
LEFT OUTER JOIN KUPCI KU ON KU.ID = RE.ID_LASTNIKA
LEFT OUTER JOIN PLOVILA PL ON PL.ID = RE.ID_PLOVILA
LEFT OUTER JOIN NNPRIVEZ NN ON NN.ID_PRIVEZ = DE.ID_PRIVEZ
WHERE TRUNC(DE.DATUM_OD) >= TRUNC(SYSDATE) AND DE.STATUS_REZERVAC = 1 AND (DE.COMPLETE IS NULL OR DE.COMPLETE = 'N') AND NOT EXISTS 
(SELECT * FROM REZERVAC_DETAIL DE2 WHERE DE2.ID_REZERVAC = RE.ID AND DE2.DATUM_DO = DE.DATUM_OD AND DE2.STATUS_REZERVAC = 2)

UNION ALL

SELECT 'PLAN_EXIT' AS CATEGORY, CONCAT('PLAN_EXIT', DE.ID_REZERVAC_DETAIL) AS V_RESERVATIONS_MANAGEMENT_ID, RE.ID AS ID_REZERVAC, RE.ID_LASTNIKA, RE.ID_PLOVILA, RE.VRSTA, DE.STATUS_REZERVAC, DE.DATUM_OD AS DATE_FROM, DE.DATUM_DO AS DATE_TO, NN.N_PRIVEZA, KU.SALDAKONTI_SIT,
(CASE WHEN RE.ID_LASTNIKA IS NULL OR RE.ID_LASTNIKA = 0 THEN RE.NAZIV ELSE KU.PRIIMEK END) AS NAZIV,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.PLOVILO ELSE PL.IME END) AS PLOVILO,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.DOLZINA ELSE PL.DOLZINA END) AS DOLZINA,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.SIRINA ELSE PL.SIRINA END) AS SIRINA
FROM REZERVAC RE
JOIN REZERVAC_DETAIL DE ON RE.ID=DE.ID_REZERVAC
LEFT OUTER JOIN KUPCI KU ON KU.ID = RE.ID_LASTNIKA
LEFT OUTER JOIN PLOVILA PL ON PL.ID = RE.ID_PLOVILA
LEFT OUTER JOIN NNPRIVEZ NN ON NN.ID_PRIVEZ = DE.ID_PRIVEZ
WHERE TRUNC(DE.DATUM_OD) >= TRUNC(SYSDATE) AND DE.STATUS_REZERVAC = 2 AND (DE.COMPLETE IS NULL OR DE.COMPLETE = 'N')

UNION ALL

SELECT 'PLAN_RETURN' AS CATEGORY, CONCAT('PLAN_RETURN', DE.ID_REZERVAC_DETAIL) AS V_RESERVATIONS_MANAGEMENT_ID, RE.ID AS ID_REZERVAC, RE.ID_LASTNIKA, RE.ID_PLOVILA, RE.VRSTA, DE.STATUS_REZERVAC, DE.DATUM_OD AS DATE_FROM, DE.DATUM_DO AS DATE_TO, NN.N_PRIVEZA, KU.SALDAKONTI_SIT,
(CASE WHEN RE.ID_LASTNIKA IS NULL OR RE.ID_LASTNIKA = 0 THEN RE.NAZIV ELSE KU.PRIIMEK END) AS NAZIV,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.PLOVILO ELSE PL.IME END) AS PLOVILO,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.DOLZINA ELSE PL.DOLZINA END) AS DOLZINA,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.SIRINA ELSE PL.SIRINA END) AS SIRINA
FROM REZERVAC RE
JOIN REZERVAC_DETAIL DE ON RE.ID=DE.ID_REZERVAC
LEFT OUTER JOIN KUPCI KU ON KU.ID = RE.ID_LASTNIKA
LEFT OUTER JOIN PLOVILA PL ON PL.ID = RE.ID_PLOVILA
LEFT OUTER JOIN NNPRIVEZ NN ON NN.ID_PRIVEZ = DE.ID_PRIVEZ
WHERE TRUNC(DE.DATUM_OD) >= TRUNC(SYSDATE) AND DE.STATUS_REZERVAC = 1 AND (DE.COMPLETE IS NULL OR DE.COMPLETE = 'N') AND EXISTS 
(SELECT * FROM REZERVAC_DETAIL DE2 WHERE DE2.ID_REZERVAC = RE.ID AND DE2.DATUM_DO = DE.DATUM_OD AND DE2.STATUS_REZERVAC = 2)

UNION ALL

SELECT 'CURRENT_PRESENT' AS CATEGORY, CONCAT('CURRENT_PRESENT', DE.ID_REZERVAC_DETAIL) AS V_RESERVATIONS_MANAGEMENT_ID, RE.ID AS ID_REZERVAC, RE.ID_LASTNIKA, RE.ID_PLOVILA, RE.VRSTA, DE.STATUS_REZERVAC, DE.DATUM_OD AS DATE_FROM, DE.DATUM_DO AS DATE_TO, NN.N_PRIVEZA, KU.SALDAKONTI_SIT,
(CASE WHEN RE.ID_LASTNIKA IS NULL OR RE.ID_LASTNIKA = 0 THEN RE.NAZIV ELSE KU.PRIIMEK END) AS NAZIV,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.PLOVILO ELSE PL.IME END) AS PLOVILO,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.DOLZINA ELSE PL.DOLZINA END) AS DOLZINA,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.SIRINA ELSE PL.SIRINA END) AS SIRINA
FROM REZERVAC RE
JOIN REZERVAC_DETAIL DE ON RE.ID=DE.ID_REZERVAC
LEFT OUTER JOIN KUPCI KU ON KU.ID = RE.ID_LASTNIKA
LEFT OUTER JOIN PLOVILA PL ON PL.ID = RE.ID_PLOVILA
LEFT OUTER JOIN NNPRIVEZ NN ON NN.ID_PRIVEZ = DE.ID_PRIVEZ
WHERE RE.STATUS_REZERVAC = 1 AND DE.DATUM_OD = (SELECT MAX(DE2.DATUM_OD) FROM REZERVAC_DETAIL DE2 WHERE DE2.ID_REZERVAC = RE.ID AND DE2.STATUS_REZERVAC = 1 AND DE2.COMPLETE = 'Y')

UNION ALL

SELECT 'CURRENT_EXIT' AS CATEGORY, CONCAT('CURRENT_EXIT', DE.ID_REZERVAC_DETAIL) AS V_RESERVATIONS_MANAGEMENT_ID, RE.ID AS ID_REZERVAC, RE.ID_LASTNIKA, RE.ID_PLOVILA, RE.VRSTA, DE.STATUS_REZERVAC, DE.DATUM_OD AS DATE_FROM, DE.DATUM_DO AS DATE_TO, NN.N_PRIVEZA, KU.SALDAKONTI_SIT,
(CASE WHEN RE.ID_LASTNIKA IS NULL OR RE.ID_LASTNIKA = 0 THEN RE.NAZIV ELSE KU.PRIIMEK END) AS NAZIV,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.PLOVILO ELSE PL.IME END) AS PLOVILO,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.DOLZINA ELSE PL.DOLZINA END) AS DOLZINA,
(CASE WHEN RE.ID_PLOVILA IS NULL OR RE.ID_PLOVILA = 0 THEN RE.SIRINA ELSE PL.SIRINA END) AS SIRINA
FROM REZERVAC RE
JOIN REZERVAC_DETAIL DE ON RE.ID=DE.ID_REZERVAC
LEFT OUTER JOIN KUPCI KU ON KU.ID = RE.ID_LASTNIKA
LEFT OUTER JOIN PLOVILA PL ON PL.ID = RE.ID_PLOVILA
LEFT OUTER JOIN NNPRIVEZ NN ON NN.ID_PRIVEZ = DE.ID_PRIVEZ
WHERE RE.STATUS_REZERVAC = 2 AND DE.DATUM_OD = (SELECT MAX(DE2.DATUM_OD) FROM REZERVAC_DETAIL DE2 WHERE DE2.ID_REZERVAC = RE.ID AND DE2.STATUS_REZERVAC = 2 AND DE2.COMPLETE = 'Y')
)
;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(433, SYSDATE, '5.5', 353, 'Popravek pogleda za upravljanje z rezervacijami');