CREATE TABLE CONTRACT_EXTENSION_RULE (
  ID NUMBER NOT NULL,
  ACTION VARCHAR2(3 CHAR),
  OLD_SAMPLE_SERVICE_CODE VARCHAR2(6 CHAR),
  NEW_SAMPLE_SERVICE_CODE VARCHAR2(6 CHAR),
  TRANSFER_DISCOUNTS VARCHAR2(1 CHAR),
  ACT VARCHAR2(1 CHAR),
  CONSTRAINT CONTRACT_EXTENSION_RULE_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE CONTRACT_EXTENSION_RULE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('CONTRACT_EXTENSION_RULE', 'ACTION', 'ADD', 'Action', 'Add sample', 'ADD', 'Add sample');

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('CONTRACT_EXTENSION_RULE', 'ACTION', 'REV', 'Action', 'Reverse sample', 'ADD', 'Reverse sample');

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('CONTRACT_EXTENSION_RULE', 'ACTION', 'RPL', 'Action', 'Replace sample', 'ADD', 'Replace sample');

CREATE OR REPLACE VIEW V_CONTRACT_EXTENSION_RULE AS (
SELECT CER.ID, CER.ACTION, CER.OLD_SAMPLE_SERVICE_CODE, CER.NEW_SAMPLE_SERVICE_CODE, CER.TRANSFER_DISCOUNTS, CER.ACT,
MSO.OPIS AS OLD_SAMPLE_SERVICE_OPIS, MSN.OPIS AS NEW_SAMPLE_SERVICE_OPIS, SIF.NAZIV_SIFRANT AS ACTION_OPIS
FROM CONTRACT_EXTENSION_RULE CER
LEFT OUTER JOIN M_NNSTOMAR MSO ON MSO.SIFRA = CER.OLD_SAMPLE_SERVICE_CODE
LEFT OUTER JOIN M_NNSTOMAR MSN ON MSN.SIFRA = CER.NEW_SAMPLE_SERVICE_CODE
LEFT OUTER JOIN SIFRANT SIF ON SIF.STRINGTABLE = 'CONTRACT_EXTENSION_RULE' AND SIF.ID_STRING = 'ACTION' AND SIF.KODA_SIFRANT = CER.ACTION
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1000, SYSDATE, '5.5', 920, 'Contract extension rule');